# $Revision: 1.13 $, $Date: 2006/01/18 00:07:22 $
%define		mod_name	cfg_ldap
%define 	apxs		/usr/sbin/apxs
Summary:	Module to keep Apache VirtualHost configuration in an LDAP directory
Summary(pl):	Modu do przechowywania konfiguracji serwerw wirtualnych Apache'a w katalogu LDAP
Name:		apache-mod_%{mod_name}
Version:	1.2
Release:	4
License:	BSD
Group:		Networking/Daemons
Source0:	http://dl.sourceforge.net/modcfgldap/mod_%{mod_name}-%{version}.tar.gz
# Source0-md5:	055924d6488608f684b22e7b04cea2ea
Patch0:		%{name}-openldap-2.3.patch
URL:		http://modcfgldap.sourceforge.net/
BuildRequires:	%{apxs}
BuildRequires:	apache-devel >= 2.0
BuildRequires:	db-devel >= 4.2.52
BuildRequires:	openldap-devel >= 2.3.0
Requires:	apache(modules-api) = %apache_modules_api
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)
%define		_sysconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)

%description
mod_cfg_ldap allows you to keep your virtual host configuration in a
LDAP directory and update it in nearly realtime.

%description -l pl
mod_cfg_ldap pozwala na przechowywanie konfiguracji hostw wirtualnych
w katalogu LDAP i uaktualnianie jej prawie w czasie rzeczywistym.

%prep
%setup -q -n mod_%{mod_name}-%{version}
%patch0 -p1

%build
%{__make} all \
	APXS=%{apxs}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pkglibdir},%{_sysconfdir}/httpd.conf}

install .libs/mod_%{mod_name}.so $RPM_BUILD_ROOT%{_pkglibdir}
install cfg_ldap.conf $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf/85_mod_cfg_ldap.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f /var/lock/subsys/httpd ]; then
	/etc/rc.d/init.d/httpd restart 1>&2
fi

%postun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/httpd ]; then
		/etc/rc.d/init.d/httpd restart 1>&2
	fi
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog INSTALL README TODO *.schema
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf/*_mod_%{mod_name}.conf
%attr(755,root,root) %{_pkglibdir}/*.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: apache-mod_cfg_ldap.spec,v $
Revision 1.13  2006/01/18 00:07:22  baggins
- release 4
- fix compilation with openldap 2.3

Revision 1.12  2006/01/17 15:05:40  baggins
- release 3
- BR openldap 2.3

Revision 1.11  2005/12/26 19:17:38  glen
- unified

Revision 1.10  2005/12/21 23:33:16  glen
- rebuild with new
- add missing apache restart
- rel 2

Revision 1.9  2004/11/25 12:51:21  zergin
- version update: 1.1 -> 1.2
- STBR

Revision 1.8  2004/10/10 12:05:10  havner
- rel up for rebuild with new apache/apr

Revision 1.7  2004/09/19 17:25:01  radek
- %doc *.schema

Revision 1.6  2004/09/19 17:16:56  radek
- make APXS=%apxs

Revision 1.5  2004/09/19 15:08:49  radek
- release 2: fixed paths, unified

Revision 1.4  2004/07/28 18:42:29  qboosh
- typo

Revision 1.3  2004/07/28 18:18:56  ankry
- avoid jargon

Revision 1.2  2004/07/28 16:33:43  qboosh
- pl

Revision 1.1  2004/07/28 14:53:18  aredridel
- added
